=== debian/changelog ===
notary (0.1~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #818439).

  [ Tim Potter ]
  * Update to latest upstream version and add new dependencies
    (Closes: #810777).
  * Refresh d/patches to reflect upstream work and run more tests.

  [ Dmitry Smirnov ]
  * Standards-Version: 3.9.7.
  * Build-Depends += "golang-github-bugsnag-bugsnag-go-dev".
  * Dropped obsolete "no-bugsnag.patch".
  * Ignore test failures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 17 Mar 2016 18:45:06 +1100

notary (0.0~git20150801.0.8e8122e-2) unstable; urgency=medium

  * Swap Build-Depends relations for buildability

 -- Tianon Gravi <tianon@debian.org>  Wed, 28 Oct 2015 10:35:25 -0700

notary (0.0~git20150801.0.8e8122e-1) unstable; urgency=medium

  * Initial release (Closes: #797660)

 -- Tianon Gravi <tianon@debian.org>  Fri, 23 Oct 2015 07:22:08 -0700
