=== debian/control ===
Source: notary
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-docker-dev | golang-github-docker-docker-dev,
               golang-ed25519-dev | golang-github-agl-ed25519-dev,
               golang-github-data-dog-go-sqlmock-dev,
               golang-github-bugsnag-bugsnag-go-dev,
               golang-github-docker-distribution-dev (>= 2.2.0~),
               golang-github-dvsekhvalnov-jose2go-dev,
               golang-github-endophage-gotuf-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-gorilla-mux-dev,
               golang-github-jinzhu-gorm-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-miekg-pkcs11-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-sirupsen-logrus-dev | golang-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev | golang-testify-dev,
               golang-github-tent-canonical-json-go-dev,
               golang-go,
               golang-golang-x-net-dev (>= 0.0+git20160110~),
               golang-google-grpc-dev (>= 0.0~git20151002~),
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               golang-prometheus-client-dev
Standards-Version: 3.9.7
Homepage: https://github.com/docker/notary
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-notary.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-notary.git
XS-Go-Import-Path: github.com/docker/notary

Package: notary
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for running and interacting with trusted collections
 The Notary project comprises a server (cmd/notary-server) and a client
 (cmd/notary) for running and interacting with trusted collections.
 .
 Notary aims to make the internet more secure by making it easy for people to
 publish and verify content. We often rely on TLS to secure our communications
 with a web server which is inherently flawed, as any compromise of the server
 enables malicious content to be substituted for the legitimate content.
 .
 With Notary, publishers can sign their content offline using keys kept highly
 secure. Once the publisher is ready to make the content available, they can
 push their signed trusted collection to a Notary Server.
 .
 This package contains the binaries/tools.

Package: golang-github-docker-notary-dev
Architecture: all
Depends: golang-github-agl-ed25519-dev | golang-ed25519-dev,
         golang-github-data-dog-go-sqlmock-dev,
         golang-github-bugsnag-bugsnag-go-dev,
         golang-github-docker-distribution-dev (>= 2.2.0~),
         golang-github-docker-docker-dev | golang-docker-dev,
         golang-github-dvsekhvalnov-jose2go-dev,
         golang-github-endophage-gotuf-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-golang-protobuf-dev | golang-goprotobuf-dev,
         golang-github-gorilla-mux-dev,
         golang-github-jinzhu-gorm-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-miekg-pkcs11-dev,
         golang-github-mitchellh-go-homedir-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-sirupsen-logrus-dev | golang-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev | golang-testify-dev,
         golang-github-tent-canonical-json-go-dev,
         golang-golang-x-net-dev (>= 0.0+git20160110~),
         golang-google-grpc-dev (>= 0.0~git20151002~),
         golang-prometheus-client-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for running and interacting with trusted collections
 The Notary project comprises a server (cmd/notary-server) and a client
 (cmd/notary) for running and interacting with trusted collections.
 .
 Notary aims to make the internet more secure by making it easy for people to
 publish and verify content. We often rely on TLS to secure our communications
 with a web server which is inherently flawed, as any compromise of the server
 enables malicious content to be substituted for the legitimate content.
 .
 With Notary, publishers can sign their content offline using keys kept highly
 secure. Once the publisher is ready to make the content available, they can
 push their signed trusted collection to a Notary Server.
 .
 This package contains the source.
