=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# Remove extra license files - contents are reflected in d/copyright
	$(RM) -v \
            debian/tmp/usr/share/gocode/src/github.com/docker/notary/LICENSE \
            debian/tmp/usr/share/gocode/src/github.com/docker/notary/*/LICENSE
