## notary 0.6.1~ds1

=== debian/changelog ===
notary (0.6.1~ds1-3) unstable; urgency=medium

  * Team upload.
  * Regenerate some test certs since they are expired (Closes: #924119)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Apr 2019 00:12:00 +0800

notary (0.6.1~ds1-2) unstable; urgency=medium

  * New upstream patch to remove "golang-ed25519-dev" dependency.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Jul 2018 11:34:36 +1000

notary (0.6.1~ds1-1) unstable; urgency=medium

  * Team upload
  * Fixed FTBFS (Closes: #861546, #835782).

  [ Dmitry Smirnov ]
  * New namespace github.com/theupdateframework/notary
  * Provides: golang-github-theupdateframework-notary-dev
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4; Priority: optional.
  * Updates Vcs URLs.
  * golang-go --> golang-any
  * debhelper to version 11; compat to version 10.
  * logrus dependency update.
  * new patch to disable failing networking test.
  * L: duplicate-short-description
  * Build-Depends:
    - golang-github-docker-distribution-dev

  [ Arnaud Rebillout ]
  * New upstream version 0.6.1~ds1
  * Remove patches applied upstream
  * Remove obsolete patches
  * lintian: no more embedded yaml, add a few overrides
  * docs: include changelog and roadmap
  * rules: install test fixtures explicitly instead of using INSTALL_ALL
  * rules: enable pkcs11 build tag
  * rules: enable tests
  * control: update dependencies
  * control: update description
  * control: add myself to uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Jun 2018 01:16:39 +1000

notary (0.2.0~ds1-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update to 0.2.0 upstream release

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Mon, 02 Apr 2018 16:03:02 -0400
