=== debian/changelog ===
notary (0.6.1~ds2-5) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New patch to fix FTBFS with golang-github-docker-distribution-dev >= 2.7.1
    (Closes: #944346).

  [ Arnaud Rebillout ]
  * Vendor prometheus-client-golang
  * New upstream version 0.6.1~ds2
  * Add upstream patch to fix test for go 1.13
  * Add upstream patch to build against latest docker/distribution
  * Add vendored NOTICE file
  * Make sure keys and certificates are not executable

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 06 Feb 2020 08:53:34 +0700

notary (0.6.1~ds1-4) unstable; urgency=medium

  * Team upload.
  * Backport fix from upstream to fix ftbfs with Go 1.12.
  * Add myself to uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Aug 2019 20:47:14 +1200
