=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
+           Michael Hudson-Doyle <mwhudson@debian.org>,
            Tianon Gravi <tianon@debian.org>
 Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-cloudflare-cfssl-dev,
-               golang-github-docker-distribution-dev (>= 2.2.0~),
+               golang-github-docker-distribution-dev (>= 2.7.1~),
                golang-github-docker-go-connections-dev (>= 0.3.0~),
                golang-github-docker-go-dev,
                golang-github-dvsekhvalnov-jose2go-dev,
@@ -19,7 +20,7 @@
                golang-github-lib-pq-dev,
                golang-github-mattn-go-sqlite3-dev,
                golang-github-miekg-pkcs11-dev (>= 0.0~git20160602~),
-               golang-github-prometheus-client-golang-dev,
+#               golang-github-prometheus-client-golang-dev,    # vendored
                golang-github-shopify-logrus-bugsnag-dev (>= 0.0~git20171204~),
                golang-github-sirupsen-logrus-dev (>= 1.0.2~),
                golang-github-spf13-cobra-dev,
@@ -81,7 +82,7 @@
          golang-github-lib-pq-dev,
          golang-github-mattn-go-sqlite3-dev,
          golang-github-miekg-pkcs11-dev (>= 0.0~git20160602~),
-         golang-github-prometheus-client-golang-dev,
+#         golang-github-prometheus-client-golang-dev,    # vendored
          golang-github-shopify-logrus-bugsnag-dev (>= 0.0~git20171204~),
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-github-spf13-cobra-dev,
