=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,7 @@
 	# There's no reason to ship this script as it's not needed for the tests,
 	# and will cause Lintian to warn about a 'script-not-executable'.
 	rm $(BUILDDIR)/src/$(GOPKG)/fixtures/regenerateTestingCerts.sh
+	# Some keys and certs are executable, Lintian says 'executable-not-elf-or-script' 
+	find $(BUILDDIR)/src/$(GOPKG)/fixtures/ -name '*.key' -executable -print | xargs chmod -x
+	find $(BUILDDIR)/src/$(GOPKG)/fixtures/ -name '*.crt' -executable -print | xargs chmod -x
 	dh_auto_install
