=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/notary-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds2 \
 https://github.com/theupdateframework/notary/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
