## notary 0.7.0%2Bds1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    dversionmangle=auto, \
    repacksuffix=+ds1" \
    https://github.com/notaryproject/notary/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
