## notary 0.7.0+ds1

=== debian/changelog ===
notary (0.7.0+ds1-3) unstable; urgency=medium

  * Team upload.
  * allow compilation against golang/protobuf@v1.3
  * Bump Standards-verison, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 09 Jun 2024 14:15:58 -0400

notary (0.7.0+ds1-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix FTBFS with libprotobuf-dev 3.21.9 (Closes: #1024844)
  * Replace transitional golang-goprotobuf-dev package
  * Add Multi-Arch hint
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 28 Nov 2022 20:16:41 +0800

notary (0.7.0+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Arnaud Rebillout ]
  * Update watch file (version 4, fixed for latest github changes)
  * Configure gbp for dep-14 branch naming, disable pristine-tar
  * Copy the vendored bits under debian/vendor
  * Drop the vendor tree entirely
  * Copy the debian vendor tree in the build directory
  * Add patch to fix the tests (broken with Go 1.17)
  * Update Go team email address
  * Update my emaill address, add myself to d/copyright
  * Bring repack suffix to +ds1 (prepare for new upstream version)
  * Drop patches applied upstream
  * Update build dependencies (rethinkdb)
  * Remove obsolete constraints from build deps
  * Remove ROADMAP from the docs
  * Enable (and fix) code generation
  * Switch to debhelper-compat 13
  * Update upstream url
  * Remove obsolete install and lintian-overrides file
  * Remove debian/clean
  * Bump Standards-Version (no change required)
  * Add Rules-Requires-Root: no

 -- Arnaud Rebillout <arnaudr@kali.org>  Sun, 23 Jan 2022 09:45:12 +0700

notary (0.6.1~ds2-6) unstable; urgency=medium

  * Team upload.
  * Disabled failing "TestNetworkError" (Closes: #954692).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 18 Apr 2020 11:35:33 +1000
