=== debian/control ===
--- 
+++ 
@@ -1,44 +1,45 @@
 Source: notary
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Arnaud Rebillout <arnaudr@kali.org>,
            Michael Hudson-Doyle <mwhudson@debian.org>,
-           Tianon Gravi <tianon@debian.org>
-Build-Depends: debhelper (>= 11~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-bugsnag-bugsnag-go-dev,
                golang-github-cloudflare-cfssl-dev,
                golang-github-docker-distribution-dev (>= 2.7.1~),
-               golang-github-docker-go-connections-dev (>= 0.3.0~),
+               golang-github-docker-go-connections-dev,
                golang-github-docker-go-dev,
                golang-github-dvsekhvalnov-jose2go-dev,
                golang-github-go-sql-driver-mysql-dev,
+               golang-github-golang-protobuf-1-3-dev,
                golang-github-gorilla-mux-dev,
                golang-github-jinzhu-gorm-dev,
                golang-github-lib-pq-dev,
                golang-github-mattn-go-sqlite3-dev,
-               golang-github-miekg-pkcs11-dev (>= 0.0~git20160602~),
+               golang-github-miekg-pkcs11-dev,
 #               golang-github-prometheus-client-golang-dev,    # vendored
-               golang-github-shopify-logrus-bugsnag-dev (>= 0.0~git20171204~),
-               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+               golang-github-shopify-logrus-bugsnag-dev,
+               golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev (>= 0.0+git20160110~),
+               golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-google-grpc-dev (>= 0.0~git20151002~),
-               golang-gopkg-gorethink-gorethink.v3-dev,
-               golang-goprotobuf-dev,
-               openssl
-Standards-Version: 4.1.4
-Homepage: https://github.com/theupdateframework/notary
+               golang-google-grpc-dev,
+               golang-gopkg-rethinkdb-rethinkdb-go.v6-dev,
+               openssl,
+               protoc-gen-go-1-3
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.0
+Homepage: https://github.com/notaryproject/notary
 Vcs-Browser: https://salsa.debian.org/go-team/packages/notary
 Vcs-Git: https://salsa.debian.org/go-team/packages/notary.git
 XS-Go-Import-Path: github.com/theupdateframework/notary
-Testsuite: autopkgtest-pkg-go
 
 Package: notary
 Architecture: any
@@ -70,30 +71,31 @@
 Package: golang-github-docker-notary-dev
 Provides: golang-github-theupdateframework-notary-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          golang-github-bugsnag-bugsnag-go-dev,
          golang-github-cloudflare-cfssl-dev,
-         golang-github-docker-go-connections-dev (>= 0.3.0~),
+         golang-github-docker-go-connections-dev,
          golang-github-docker-go-dev,
          golang-github-dvsekhvalnov-jose2go-dev,
          golang-github-go-sql-driver-mysql-dev,
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          golang-github-gorilla-mux-dev,
          golang-github-jinzhu-gorm-dev,
          golang-github-lib-pq-dev,
          golang-github-mattn-go-sqlite3-dev,
-         golang-github-miekg-pkcs11-dev (>= 0.0~git20160602~),
+         golang-github-miekg-pkcs11-dev,
 #         golang-github-prometheus-client-golang-dev,    # vendored
-         golang-github-shopify-logrus-bugsnag-dev (>= 0.0~git20171204~),
-         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+         golang-github-shopify-logrus-bugsnag-dev,
+         golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-spf13-viper-dev,
          golang-github-stretchr-testify-dev,
          golang-golang-x-crypto-dev,
-         golang-golang-x-net-dev (>= 0.0+git20160110~),
+         golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
-         golang-google-grpc-dev (>= 0.0~git20151002~),
-         golang-gopkg-gorethink-gorethink.v3-dev,
-         golang-goprotobuf-dev
+         golang-google-grpc-dev,
+         golang-gopkg-rethinkdb-rethinkdb-go.v6-dev
 Description: library for running and interacting with trusted collections
  Notary is a project that allows anyone to have trust over arbitrary
  collections of data.
